getindex(1)

NAME
getindex - SGML index lookup program

SYNOPSIS
getindex -i <indexfile> -f <fileindexfile> indices...

DESCRIPTION
The material below may be out of date: consult LT XML documentation please. getindex is a program which uses the indices created by mkindex (q.v.) to look up and return SGML elements in an indexed SGML document.

DESCRIPTION: Input/Output
Description of the input/output files involved in this program.

Input ==> None

Output ==> An SGML file (not necessarily conformant) : [stdout]

OPTIONS

-i <indexfile>
    Use the binary index file <indexfile>. This option must be specified. Binary indexfiles are created as the output of mkindex with the -B option.

-f <fileindexfile>
    Use the file index file <fileindexfile>. This option must be specified. File index files are created by mkindex with the -N or -F options.

is a list of index numbers of SGML elements, whose contents will
    be returned. Indices can also be of the form <number>-<number> to indicate a range of index numbers.

Example
    mkindex -f xxx.fdx -q ".*/W" -b xxx.sgm > xxx.idx
creates the binary index file xxx.idx containing the positions of all <W> elements in xxx.sgm. The file index file xxx.fdx is created.
    getindex -i xxx.idx -f xxx.fdx 2000 100 1 0 900
Then returns the 2000th, 100th, etc <W> element from the SGML file xxx.sgm (doesnt need to be normalised SGML).

SEE ALSO
ltxml(1), mkindex(1)

AUTHOR
Henry Thompson (ht@cogsci.ed.ac.uk)
David McKelvie (dmck@cogsci.ed.ac.uk)
Language Technology Group, Human Communication Research Centre, Edinburgh University,
2 Buccleuch Place, Edinburgh EH8 9LW, SCOTLAND
Tel:(44) 131 650-4630
Fax:(44) 131 650-4587 email: dmck@cogsci.ed.ac.uk

Comments, suggestions, and bug reports are always welcome.